--select * from dbo.w6trcli where [Freq_ Diagnosi]='S'
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[SP_statistiche_app_rendicontazione]
as
begin
declare 
--NUMERI
@nr_clientiinperimetro int,
@nr_clientiRFA0 int,
@nr_clientiRFAMinus int,
@nr_clientiProfiloScaduto int,
@nr_clientiBlacklist int,
@nr_clientiinviati int,
@nr_clientidainviare int,
@nr_letteraSostitutiva int,
@nr_clientiImmobiliari int,
@nr_clientiInPerimentroSenzaImmobiliare int,
@nr_Blacklistdiversi int,
@nr_soloClientiImmobiliari int,
@nr_diagnosi int,
@nr_clientirendicontati int,
@nr_lotto1 int,
@nr_lotto2 int,
@nr_lotto3 int,
@nr_lotto4 int,
@nr_lotto5 int,
@nr_lotto6 int,
@nr_lotto7 int,
@nr_lotto8 int,
@nr_lotto9 int,
@nr_lotto10 int,
@nr_clientiinviati_IMM int,
@nr_clientidainviare_IMM int,
@nr_clientiBlacklist_IMM int,
@nr_clientirendicontati_IMM int,
@nr_lotto1_IMM int,
@nr_clientiDiagnosiInviati int,
@nr_clientiDiagnosidaInviare int,
@nr_clienticonMonitoraggio int,
@nr_clientiConImmESei int,
@nr_clientiConSoloImm int,
@nr_letteraSostitutivaImm int,
@nr_clientiRFAMinusImm int,
@nr_clientiProfiloEC int
select @nr_clientiInPerimetro=  COUNT(*) from C6MartPeriodico.tabellone where solo_rend_imm='N' or solo_rend_imm is NULL--clienti in perimetro
select @nr_clientiRFA0 =  COUNT(*) from C6MartPeriodico.tabellone where blacklist like '%RFA=0%' --clienti con RFA0
select @nr_clientiRFAMinus =  COUNT(*) from C6MartPeriodico.tabellone where blacklist like '%RFA Minus%' --clienti con RFA0
select @nr_clientiProfiloScaduto=  COUNT(*) from C6MartPeriodico.tabellone where blacklist like '%Profilo Scaduto%' and (blacklist not like '%RFA=0%' and blacklist not like '%RFA Minus%') --clienti con il profilo scaduto
select @nr_clientiBlacklist=  COUNT(*) from C6MartPeriodico.tabellone where blacklist is not null
select @nr_letteraSostitutiva= COUNT(*) from C6MartPeriodico.tabellone where blacklist like '%RFA=0%' or blacklist like '%profilo%' or blacklist like '%RFA Minus%'
--select @nr_clientiBlacklist=  COUNT(*) from C6MartPeriodico.tabellone where blacklist is not null --clienti in blacklist
select @nr_clientiinviati=  COUNT(*) from C6MartPeriodico.tabellone where lotto is not null  --clienti con report gia inviato
set @NR_clientidainviare= @nr_clientiinperimetro-@nr_clientiinviati-@nr_letteraSostitutiva--@nr_clientiBlacklist --clienti con report da inviare
--select @nr_letteraSostitutiva= COUNT(*) from C6MartPeriodico.tabellone where blacklist like '%sostitutiva%'--like '%RFA%' or blacklist like '%profilo%'
select @nr_clientiImmobiliari = COUNT(*) from C6MartPeriodico.tabellone where flgpe_perimetro_semestr='S'
set @nr_clientiInPerimentroSenzaImmobiliare=@nr_clientiinperimetro-@nr_clientiImmobiliari
select @nr_Blacklistdiversi=@nr_clientiBlacklist-@nr_letteraSostitutiva
select @nr_soloClientiImmobiliari= COUNT(*) from C6MartPeriodico.tabellone where solo_rend_imm='S'
select @nr_diagnosi= COUNT(*) from C6MartPeriodico.tabellone where freq_diagnosi <> ''
set @nr_clientirendicontati=@nr_clientiinperimetro-@nr_letteraSostitutiva--@nr_clientiBlacklist
select @nr_lotto1= count(*) from c6martperiodico.tabellone where lotto=1
select @nr_lotto2= count(*) from c6martperiodico.tabellone where lotto=2 
select @nr_lotto3= count(*) from c6martperiodico.tabellone where lotto=3
select @nr_lotto4= count(*) from c6martperiodico.tabellone where lotto=4
select @nr_lotto5= count(*) from c6martperiodico.tabellone where lotto=5
select @nr_lotto6= count(*) from c6martperiodico.tabellone where lotto=6
select @nr_lotto7= count(*) from c6martperiodico.tabellone where lotto=7
select @nr_lotto8= count(*) from c6martperiodico.tabellone where lotto=8
select @nr_lotto9= count(*) from c6martperiodico.tabellone where lotto=9
select @nr_lotto10= count(*) from c6martperiodico.tabellone where lotto=10
select @nr_clientiinviati_IMM=COUNT(*) from C6MartPeriodico.tabellone where lotto_imm is not null and blacklist is null
select @nr_clientiBlacklist_IMM=COUNT(*) from C6MartPeriodico.tabellone where lettera_sost_imm='S'
--select @nr_clientiBlacklist_IMM=COUNT(*) from C6MartPeriodico.tabellone where blacklist is not null --clienti in blacklist imm cambia in blacklist_imm quando aggiungi il campo nel tabellone decommenta quando aggiungi il campo
set @nr_clientirendicontati_IMM=@nr_clientiImmobiliari--@nr_clientiBlacklist_IMM -- da rivedere per nr_clientiBlacklist si ipotizza un altro campo in blacklist decommenta quando aggiungi il campo
--set @nr_lotto1_IMM=@nr_clientiinviati_IMM decommenta quando dino ha finito
set @nr_lotto1_IMM=0
select @nr_clientiDiagnosiInviati=COUNT(*) from C6MartPeriodico.tabellone where freq_diagnosi <> '' and lotto is not null and blacklist is null
select @nr_clientiDiagnosidaInviare=COUNT(*) from C6MartPeriodico.tabellone where freq_diagnosi <> '' and lotto is null and blacklist is null
select @nr_clienticonMonitoraggio=count(*) from C6MartPeriodico.tabellone where freq_monitoraggio<>'' and (solo_rend_imm='N' or solo_rend_imm is NULL)--freq_diagnosi='' and freq_monitoraggio<>'' and (solo_rend_imm='N' or solo_rend_imm is NULL)
select @nr_clientiConImmESei=count(*) from C6MartPeriodico.tabellone where anche_rend_sei='S'
select @nr_clientiConSoloImm=count(*) from C6MartPeriodico.tabellone where solo_rend_imm='S'
select @nr_letteraSostitutivaImm= COUNT(*) from C6MartPeriodico.tabellone where lettera_sost_imm='S'
set @nr_clientirendicontati_IMM=@nr_clientiImmobiliari-@nr_letteraSostitutivaImm--@nr_clientiBlacklist_IMM -- da rivedere per nr_clientiBlacklist si ipotizza un altro campo in blacklist decommenta quando aggiungi il campo
set @NR_clientidainviare_IMM= @nr_clientiImmobiliari-@nr_clientiinviati_IMM-@nr_letteraSostitutivaImm -- da rivedere per nr_clientiBlacklist si ipotizza un altro campo in blacklist decommenta quando aggiungi il campo
select @nr_clientiRFAMinusImm =  COUNT(*) from C6MartPeriodico.tabellone where blacklist_imm='BLACKLIST RFA MINUS CLIENTE SEI E IMMOBILIARE'--COUNT(*) from C6MartPeriodico.tabellone where blacklist_imm like '%RFA Minus%' --clienti con RFA0
select @nr_clientiProfiloEC=  COUNT(*) from C6MartPeriodico.tabellone where blacklist like '%Profilo EC%' and (blacklist not like '%RFA=0%' and blacklist not like '%RFA Minus%') 
--DESCRIZIONE
declare
@desc_clientiinperimetro varchar(64),
@desc_clientiRFA0 varchar(64),
@desc_clientiRFAMinus varchar(64),
@desc_clientiProfiloScaduto varchar(64),
@desc_clientiBlacklist varchar(64),
@desc_clientiInviati varchar(64),
@desc_clientiDaInviare varchar(64),
@desc_letteraSostitutiva varchar(64),
@desc_clientiImmobiliari varchar(64),
@desc_clientiInPerimentroSenzaImmobiliare  varchar(64),
@desc_Blacklistdiversi varchar(64),
@desc_soloClientiImmobiliari varchar(64),
@desc_Diagnosi varchar(64),
@desc_clientirendicontati varchar(64),
@desc_lotto1 varchar(64),
@desc_lotto2 varchar(64),
@desc_lotto3 varchar(64),
@desc_lotto4 varchar(64),
@desc_lotto5 varchar(64),
@desc_lotto6 varchar(64),
@desc_lotto7 varchar(64),
@desc_lotto8 varchar(64),
@desc_lotto9 varchar(64),
@desc_lotto10 varchar(64),
@desc_clientiInviati_IMM varchar(64),
@desc_clientiDaInviare_IMM varchar(64),
@desc_clientiBlacklist_IMM varchar(64),
@desc_clientirendicontati_IMM varchar(64),
@desc_lotto1_IMM varchar(64),
@desc_clientiDiagnosiInviati varchar(64),
@desc_clientiDiagnosiDaInviare varchar(64),
@desc_clienticonMonitoraggio varchar(64),
@desc_clientiConImmESei varchar(64),
@desc_clientiConSoloImm varchar(64),
@desc_letteraSostitutivaImm varchar(64),
@desc_clientiRFAMinusImm varchar(64),
@desc_clientiProfiloEC varchar(64)
set @desc_clientiinperimetro='Clienti in Perimetro SEI'
set @desc_clientiRFA0='Clienti RFA 0'
set @desc_clientiRFAMinus='Clienti RFA Minus SEI'
set @desc_clientiProfiloScaduto='Clienti Profilo Scaduto'
set @desc_ClientiBlacklist='Clienti in Blacklist SEI'
set @desc_ClientiInviati='Clienti con Report già inviati SEI'
set @desc_clientidaInviare='Clienti con Report da inviare SEI'
set @desc_letteraSostitutiva='Clienti Lettera Sostitutiva'
set @desc_clientiImmobiliari='Clienti in Perimetro IMM'
set @desc_clientiInPerimentroSenzaImmobiliare='Clienti in perimetro senza Immobiliare'
set @desc_Blacklistdiversi='Clienti Blacklist con Motivazione diversa'
set @desc_soloClientiImmobiliari='Clienti Solo Immobiliari senza report Sei'
set @desc_Diagnosi='Clienti con Diagnosi'
set @desc_clientirendicontati='Clienti da Rendicontare SEI'
set @desc_lotto1='Clienti Lotto 1'
set @desc_lotto2='Clienti Lotto 2'
set @desc_lotto3='Clienti Lotto 3'
set @desc_lotto4='Clienti Lotto 4'
set @desc_lotto5='Clienti Lotto 5'
set @desc_lotto6='Clienti Lotto 6'
set @desc_lotto7='Clienti Lotto 7'
set @desc_lotto8='Clienti Lotto 8'
set @desc_lotto9='Clienti Lotto 9'
set @desc_lotto10='Clienti Lotto 10'
set @desc_ClientiInviati_IMM='Clienti con Report già inviati IMM'
set @desc_clientidaInviare_IMM='Clienti con Report da inviare IMM'
set @desc_ClientiBlacklist_IMM='Clienti in Blacklist IMM'
set @desc_clientirendicontati_IMM='Clienti da Rendicontare IMM'
set @desc_lotto1_IMM='Clienti Lotto 1 IMM'
set @desc_clientiDiagnosiInviati='Clienti Diagnosi con report già inviati SEI'
set @desc_clientiDiagnosiDaInviare='Clienti Diagnosi con Report da inviare SEI'
set @desc_clienticonMonitoraggio='Clienti con Monitoraggio'
set @desc_clientiConImmESei='Clienti con Immobiliare e SEI'
set @desc_clientiConSoloImm='Clienti con Solo Immobiliare'
set @desc_letteraSostitutivaImm='Clienti Lettera Sostitutiva'
set @desc_clientiRFAMinusImm='Clienti RFA Minus IMM'
set @desc_clientiProfiloEC='Clienti Profilo EC Minimo'
--select * from C6MartPeriodico.ExcludedList
--select * from C6MartPeriodico.tabellone
--select * from C6MartPeriodico.statistiche_app_rendicontazione
--select * from C6Martperiodico.motivazioni_blacklist
--update C6MartPeriodico.tabellone
--set lotto=NULL
--from C6MartPeriodico.tabellone 
--where codconf='071130CO802'
--update C6MartPeriodico.tabellone
--set blacklist=NULL
--from C6MartPeriodico.tabellone 
--where codconf='025680CO800'
--update C6MartPeriodico.tabellone
--set blacklist=NULL
--from C6MartPeriodico.tabellone 
--where codconf='029507CO212'
--ID
declare 
@id_clientiInPerimetro int,
@id_clientiRFA0 int,
@id_clientiRFAMinus int,
@id_clientiProfiloScaduto int,
@id_ClientiBlacklist int,
@id_ClientiInviati int ,
@id_ClientidaInviare int,
@id_LetteraSostitutiva int,
@id_ClientiImmobiliari int,
@id_clientiInPerimentroSenzaImmobiliare int,
@id_Blacklistdiversi int,
@id_soloClientiImmobiliari int,
@id_Diagnosi int,
@id_ClientiRendicontati int,
@id_lotto1 int,
@id_lotto2 int,
@id_lotto3 int,
@id_lotto4 int,
@id_lotto5 int,
@id_lotto6 int,
@id_lotto7 int,
@id_lotto8 int,
@id_lotto9 int,
@id_lotto10 int,
@id_ClientiInviati_IMM int ,
@id_ClientidaInviare_IMM int,
@id_clientiBlacklist_IMM int,
@id_clientirendicontati_IMM int,
@id_lotto1_IMM int,
@id_ClientiDiagnosiInviati int ,
@id_ClientiDiagnosidaInviare int,
@id_clienticonMonitoraggio int,
@id_clientiConImmESei int,
@id_clientiConSoloImm int,
@id_LetteraSostitutivaImm int,
@id_clientiRFAMinusImm int,
@id_clientiProfiloEC int
set @id_clientiInPerimetro=1
set @id_clientiRFA0=2
set @id_clientiProfiloScaduto=3
set @id_ClientiBlacklist=4
set @id_ClientiInviati=5
set @id_ClientidaInviare=6
set @id_LetteraSostitutiva=7
set @id_ClientiImmobiliari=8
set @id_clientiInPerimentroSenzaImmobiliare=9
set @id_Blacklistdiversi=10
set @id_soloClientiImmobiliari=11
set @id_Diagnosi=12
set @id_ClientiRendicontati=13
set @id_lotto1 =14
set @id_lotto2 =15
set @id_lotto3 =16
set @id_lotto4 =17
set @id_lotto5 =18
set @id_lotto6 =19
set @id_lotto7 =20
set @id_lotto8 =21
set @id_lotto9 =22
set @id_lotto10 =23
set @id_ClientiInviati_IMM=24
set @id_ClientidaInviare_IMM=25
set @id_ClientiRFAMinus=26
set @id_clientiBlacklist_IMM=27
set @id_clientirendicontati_IMM=28
set @id_lotto1_IMM=29
set @id_ClientiDiagnosiInviati=30
set @id_ClientiDiagnosidaInviare=31
set @id_clienticonMonitoraggio=32
set @id_clientiConImmESei=33
set @id_clientiConSoloImm=34
set @id_LetteraSostitutivaImm=35
set @id_clientiRFAMinusImm=36
set @id_clientiProfiloEC=37
--if((select COUNT(*) from [C6MartPeriodico].[statistiche_app_rendicontazione])=0)
--begin
truncate table [C6MartPeriodico].[statistiche_app_rendicontazione] 
insert into [C6MartPeriodico].[statistiche_app_rendicontazione] values
(@id_clientiInPerimetro,@desc_clientiinperimetro,@nr_clientiinperimetro,'SEI'),
(@id_clientiRFA0,@desc_clientiRFA0,@nr_clientiRFA0,'SEI'),
(@id_clientiProfiloScaduto,@desc_clientiProfiloScaduto,@nr_clientiProfiloScaduto,'SEI'),
(@id_ClientiBlacklist,@desc_clientiBlacklist,@nr_clientiBlacklist,'SEI'),
(@id_ClientiInviati,@desc_clientiInviati,@nr_clientiinviati,'SEI'),
(@id_ClientidaInviare,@desc_clientiDaInviare,@nr_clientidainviare,'SEI'),
(@id_LetteraSostitutiva,@desc_letteraSostitutiva,@nr_letteraSostitutiva,'SEI'),
(@id_ClientiImmobiliari,@desc_clientiImmobiliari,@nr_clientiImmobiliari,'IMM'),
(@id_clientiInPerimentroSenzaImmobiliare,@desc_clientiInPerimentroSenzaImmobiliare,@nr_clientiInPerimentroSenzaImmobiliare,'SEI'),
(@id_Blacklistdiversi,@desc_Blacklistdiversi,@nr_Blacklistdiversi,'SEI'),
(@id_soloClientiImmobiliari,@desc_soloClientiImmobiliari,@nr_soloClientiImmobiliari,'IMM'),
(@id_Diagnosi,@desc_diagnosi,@nr_diagnosi,'SEI'),
(@id_ClientiRendicontati,@desc_clientirendicontati,@nr_clientirendicontati,'SEI'),
(@id_lotto1,@desc_lotto1,@nr_lotto1,'SEI'),
(@id_lotto2,@desc_lotto2,@nr_lotto2,'SEI'),
(@id_lotto3,@desc_lotto3,@nr_lotto3,'SEI'),
(@id_lotto4,@desc_lotto4,@nr_lotto4,'SEI'),
(@id_lotto5,@desc_lotto5,@nr_lotto5,'SEI'),
(@id_lotto6,@desc_lotto6,@nr_lotto6,'SEI'),
(@id_lotto7,@desc_lotto7,@nr_lotto7,'SEI'),
(@id_lotto8,@desc_lotto8,@nr_lotto8,'SEI'),
(@id_lotto9,@desc_lotto9,@nr_lotto9,'SEI'),
(@id_lotto10,@desc_lotto10,@nr_lotto10,'SEI'),
(@id_ClientiInviati_IMM,@desc_clientiInviati_IMM,@nr_clientiinviati_IMM,'IMM'),
(@id_ClientidaInviare_IMM,@desc_clientiDaInviare_IMM,@nr_clientidainviare_IMM,'IMM'),
(@id_ClientiRFAMinus,@desc_ClientiRFAMinus,@nr_ClientiRFAMinus,'SEI'),
(@id_ClientiBlacklist_IMM,@desc_clientiBlacklist_IMM,@nr_clientiBlacklist_IMM,'IMM'),
(@id_ClientiRendicontati_IMM,@desc_clientirendicontati_IMM,@nr_clientirendicontati_IMM,'IMM'),
(@id_lotto1_IMM,@desc_lotto1_IMM,@nr_lotto1_IMM,'IMM'),
(@id_ClientiDiagnosiInviati,@desc_clientiDiagnosiInviati,@nr_clientiDiagnosiinviati,'SEI'),
(@id_ClientiDiagnosidaInviare,@desc_clientiDiagnosiDaInviare,@nr_clientiDiagnosidainviare,'SEI'),
(@id_clienticonMonitoraggio,@desc_clienticonMonitoraggio,@nr_clienticonMonitoraggio,'SEI'),
(@id_clientiConImmESei,@desc_clientiConImmESei,@nr_clientiConImmESei,'IMM'),
(@id_clientiConSoloImm,@desc_clientiConSoloImm,@nr_clientiConSoloImm,'IMM'),
(@id_LetteraSostitutivaImm,@desc_letteraSostitutivaImm,@nr_letteraSostitutivaImm,'IMM'),
(@id_ClientiRFAMinusImm,@desc_ClientiRFAMinusImm,@nr_ClientiRFAMinusImm,'IMM'),
(@id_clientiProfiloEC,@desc_clientiProfiloEC,@nr_clientiProfiloEC,'SEI')
--end
--update [C6MartPeriodico].[statistiche_app_rendicontazione]
--set numero=@nr_clientiinperimetro
--from [C6MartPeriodico].[statistiche_app_rendicontazione]
--where id=@id_clientiInPerimetro
--update [C6MartPeriodico].[statistiche_app_rendicontazione]
--set numero=@nr_clientiRFA0
--from [C6MartPeriodico].[statistiche_app_rendicontazione]
--where id=@id_clientiRFA0
--update [C6MartPeriodico].[statistiche_app_rendicontazione]
--set numero=@nr_clientiProfiloScaduto
--from [C6MartPeriodico].[statistiche_app_rendicontazione]
--where id=@id_clientiProfiloScaduto
--update [C6MartPeriodico].[statistiche_app_rendicontazione]
--set numero=@nr_clientiBlacklist
--from [C6MartPeriodico].[statistiche_app_rendicontazione]
--where id=@id_ClientiBlacklist
--update [C6MartPeriodico].[statistiche_app_rendicontazione]
--set numero=@nr_clientiinviati
--from [C6MartPeriodico].[statistiche_app_rendicontazione]
--where id=@id_ClientiInviati
--update [C6MartPeriodico].[statistiche_app_rendicontazione]
--set numero=@nr_clientidainviare
--from [C6MartPeriodico].[statistiche_app_rendicontazione]
--where id=@id_ClientidaInviare
--update [C6MartPeriodico].[statistiche_app_rendicontazione]
--set numero=@nr_letteraSostitutiva
--from [C6MartPeriodico].[statistiche_app_rendicontazione]
--where id=@id_LetteraSostitutiva
select * from C6MartPeriodico.statistiche_app_rendicontazione
	end